%define name		mockmaker
%define version		1.12.0
%define release		1jpp
%define	section		free


Name:		%{name}
Summary:	MockMaker
Url:		http://mockmaker.sourceforge.net/
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	BSD style
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
Source0:	mockmaker-1.12.0-src.tar.gz
##cvs -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/mockmaker login
##cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/mockmaker export -r HEAD MockMaker
Patch0:		mockmaker-1.12.0-build_xml.patch
BuildRequires:	ant
BuildRequires:	junit
BuildRequires:	qdox
BuildRequires:	mockobjects
Requires:	mockobjects
Requires:	qdox
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
MockMaker is a program for creating source code for 
mock object classes. Given an interface, it writes 
the source code for a mock object class that implements 
the interface and allows instances of that class to 
have expectations set about how many times a method 
is called, what parameters each method is called with, 
and to pre-set return values for methods. In many cases 
(possibly most cases), the classes produced by MockMaker 
are exactly what you want a mock class to do.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n MockMaker
chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;
pushd lib
    ln -sf $(build-classpath ant) ant.jar
    ln -sf $(build-classpath junit) junit.jar
    ln -sf $(build-classpath mockobjects-core) mmmockobjects.jar
    ln -sf $(build-classpath qdox) qdox.jar
popd

%patch0 -b .sav

%build
ant 

%install
unzip -q MockMaker1_12_0.zip

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 MockMaker/lib/MockMaker.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# config + tests
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/config
cp -p MockMaker/mockmaker.cfg $RPM_BUILD_ROOT%{_datadir}/%{name}/config
cp -p MockMaker/old.cfg $RPM_BUILD_ROOT%{_datadir}/%{name}/config
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/tests
cp -p MockMaker/mockmaker/tests/AcceptableInterface.class $RPM_BUILD_ROOT%{_datadir}/%{name}/tests

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root)
%doc MockMaker/*.html
%{_javadir}/*
%{_datadir}/%{name}

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Mon Feb 21 2005 Ralph Apel <r.apel at r-apel.de> 0:1.12.0-1jpp
- First release

